dbXML API

## com.dbxml.db.admin.nodes
Class DocumentNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.DocumentNode

All Implemented Interfaces:
  HasCollection, HasDocWrapper, HasMenu

public final class DocumentNode
extends AdminNode
implements HasCollection, HasMenu, HasDocWrapper

DocumentNode

Field Summary
`static int` `ACTION_DELETE`
`static int` `ACTION_EDIT`
`static int` `ACTION_XSLT`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`DocumentNode(AdminNode parentNode, CollectionClient col, java.lang.String id)`

Method Summary
`CollectionClient` `getCollection()`
`DocWrapper` `getDocWrapper()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`
`int` `menuAction(int action)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, getTooltip, isParentMenuInherited, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_EDIT

    public static final int ACTION_EDIT

See Also:
  Constant Field Values

### ACTION_DELETE

    public static final int ACTION_DELETE

See Also:
  Constant Field Values

### ACTION_XSLT

    public static final int ACTION_XSLT

See Also:
  Constant Field Values

Constructor Detail

### DocumentNode

    public DocumentNode(AdminNode parentNode,
                        CollectionClient col,
                        java.lang.String id)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getDocWrapper

    public DocWrapper getDocWrapper()

  Specified by:
    `getDocWrapper` in interface `HasDocWrapper`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group